Import a key | Algorand Developer Portal

Import a key

POST

/v1/key/import

Import an externally generated key into the wallet. Note that if you wish to back up the imported key, you must do so by backing up the entire wallet database, because imported keys were not derived from the wallet’s master derivation key.

Authorizations

Request Body

The list of MIME types the operation can consume application/json

APIV1POSTKeyImportRequest is the request for POST /v1/key/import

object

private_key
PrivateKey is an exported ed25519PrivateKey

Array

wallet_handle_token
string

Responses

200

Response to POST /v1/key/import

The list of MIME types the operation can produce application/json

APIV1POSTKeyImportResponse is the response to POST /v1/key/import friendly: ImportKeyResponse

object

address
string

error
boolean

message
string